> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/mutations/tracking/daily-recap/create-a-daily-recap-question.md).

# Create a daily recap question

Use the `createDailyRecapEntry` mutation to add a question with its corresponding answer for a specific date.

After adding the daily recap entry, use the [`dailyRecap`](https://docs.suggestic.com/graphql/query/queries/tracking/daily-recap/get-daily-recap) query to list it.

### Required Arguments

| **Argument Name** | **Type** |                                                                                                        **Description**                                                                                                       |
| :---------------: | :------: | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: |
|    `questionId`   |  String  | <p>Unique question ID. Use the <a href="https://docs.suggestic.com/graphql/query/queries/tracking/daily-recap/get-daily-recap-questions"><code>dailyRecapQuestions</code> </a>query to get the Id of the questions. <br></p> |
|     `answerId`    |  String  |                    Unique answer ID. Use the [`dailyRecapQuestions` ](https://docs.suggestic.com/graphql/query/queries/tracking/daily-recap/get-daily-recap-questions)query to get the Id of the answers.                    |
|       `date`      |   Date   |                                                                                      Date when the question and the answer are created.                                                                                      |

### Available Fields

The following fields will be displayed in the response:

<table data-header-hidden><thead><tr><th width="219.33333333333331" align="center">Field</th><th align="center">Type</th><th align="center">Description</th></tr></thead><tbody><tr><td align="center"><strong>Field</strong></td><td align="center"><strong>Type</strong></td><td align="center"><strong>Description</strong></td></tr><tr><td align="center"><code>success</code></td><td align="center">Boolean</td><td align="center"><strong>True</strong> if the daily recap entry has been added successfully. Otherwise, <strong>False</strong><br></td></tr><tr><td align="center"><code>Message</code></td><td align="center">String</td><td align="center">Description of the result</td></tr></tbody></table>

## Example

{% tabs %}
{% tab title="Request" %}

```graphql
{
mutation {
  createDailyRecapEntry(
    answerId: "RGFpbHlRdWVzdGlvbjo3Y2E4YzAxZS1kZDRjLTRlODktYjA3NS04ZGZmNzhlZDlhZTE="
    questionId: "QW5zd2VyOmZjYTNhYjEwLWU4NDAtNGExZS05NzkyLTc4OTE0NzhmMTE1Zg=="
    date: "2022-02-23"
  ) {
    success
    message
  }
}


```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "createDailyRecapEntry": {
      "success": true,
      "message": "Daily recap entry was successfully created"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/tracking/daily-recap/create-a-daily-recap-question.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
